Debian Bug report logs - #678870
RFP: strace+ -- An improved version of strace that collects stack traces

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexander Toresson <alexander.toresson@gmail.com>

Date: Sun, 24 Jun 2012 19:15:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678870; Package wnpp. (Sun, 24 Jun 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 24 Jun 2012 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: strace+ -- An improved version of strace that collects stack traces
Date: Sun, 24 Jun 2012 21:12:56 +0200
Package: wnpp
Severity: wishlist
Owner: Alexander Toresson <alexander.toresson@gmail.com>

* Package name    : fceux
  Version         : no release yet
  Upstream Author : Philip Guo <pgbovine@google.com>
* URL             : http://code.google.com/p/strace-plus/
* License         : New BSD License
(http://www.opensource.org/licenses/bsd-license.php)
  Programming Lang: C
  Description     : An improved version of strace that collects stack traces

strace+ is an improved version of strace that collects stack traces
associated with each system call. Since system calls require an
expensive user-kernel context switch, they are often sources of
performance bottlenecks. strace+ allows programmers to do more
detailed system call profiling and determine, say, which call sites
led to costly syscalls and thus have potential for optimization. It
also enabled developers to find out from where specific system calls
were performed, as this may not be very easy to find out when using
many libraries.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678870; Package wnpp. (Mon, 25 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 678870@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: 678870@bugs.debian.org
Date: Mon, 25 Jun 2012 19:09:11 +0200
Darn it. Of course it should've read:

"* Package name    : strace+"




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678870; Package wnpp. (Sat, 21 Jul 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 21 Jul 2012 20:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 678870@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: 678870@bugs.debian.org
Date: Sat, 21 Jul 2012 22:55:57 +0200
I've been thinking about this for a while. I don't think it's a good
idea to package in its current state:

1. The system libunwind should be used, to ease maintainability and
application of security patches. This could probably be done quite
easily.

2. There's no official release. This could also be fixed quite easily,
if strace-plus is to be developed further.

3. strace-plus currently duplicates all the source code of strace.
This IMHO is the most severe issue, and also the issue which is
hardest to resolve. If possible, I'd like to see the features of
strace-plus merged into strace.

I have mailed the author of strace-plus, and offered to help with
fixing this if he agrees, we will see what the answer is.

// Alexander



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander Toresson <alexander.toresson@gmail.com>:
Bug#678870; Package wnpp. (Sat, 17 Aug 2013 07:16:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander Toresson <alexander.toresson@gmail.com>. (Sat, 17 Aug 2013 07:16:01 GMT) Full text and rfc822 format available.

Message #20 received at 678870@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 678870@bugs.debian.org
Cc: control@bugs.debian.org
Subject: strace+: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:11 +0200
retitle 678870 RFP: strace+ -- An improved version of strace that collects stack traces
noowner 678870
tag 678870 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging strace+. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of strace+ back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging strace+, please send a mail to
<control@bugs.debian.org> with:

 retitle 678870 ITP: strace+ -- An improved version of strace that collects stack traces
 owner 678870 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <678870@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: strace+ -- An improved version of strace that collects stack traces' from 'ITP: strace+ -- An improved version of strace that collects stack traces' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Alexander Toresson <alexander.toresson@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:18:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.